#pragma once
#include <boost/unordered_map.hpp>
#include <vector>
struct Fish_JuKunFuHuaJiFenCFGData
{
	//编号
	int mID;
	//孵化积分下限
	int mIntegralLower;
	//孵化积分上限
	int mIntegralUpper;
	//权重
	int mWeight;
	//积分奖励
	std::vector<int> mBonusPoints;
};

class Fish_JuKunFuHuaJiFenCFG
{
public:
private:
	static std::auto_ptr<Fish_JuKunFuHuaJiFenCFG> msSingleton;
public:
	int GetCount();
	const Fish_JuKunFuHuaJiFenCFGData* GetData(int ID);
	boost::unordered_map<int, Fish_JuKunFuHuaJiFenCFGData>& GetMapData();
	void Reload();
	void Load(const std::string& path);
	void Load();
	static Fish_JuKunFuHuaJiFenCFG* GetSingleton();
private:
	boost::unordered_map<int, Fish_JuKunFuHuaJiFenCFGData> mMapData;
};
